Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 17 Apr 2014, 14:47
All times are UTC - 4
 Forum index » House Training » Beginners Help ( Start Here)
Puppeee missing plug-ins, but which ones?
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [25 Posts]   Goto page: 1, 2 Next
Author Message
langstracht

Joined: 15 Aug 2012
Posts: 16

PostPosted: Thu 16 Aug 2012, 08:49    Post subject:  Puppeee missing plug-ins, but which ones?
Subject description: An enigma wrapped in a mystery
 

I have a brand new installation of puppeee.

And already I have been on a number of sites which refuse to co-operate displaying the unhelpful message that I am missing a necessary plug-in - and giving no indication of which one it is.

Does anyone know how to identify which one it is ... and how/where to get it.

TIA
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1492
Location: wales

PostPosted: Thu 16 Aug 2012, 09:24    Post subject:  

hi langstracht

maybe you're missing 'flash' http://shino.pos.to/linux/puppy/getflash-1.1.pet (once installed use the menu entry to install flash)

i'm only guessing as you didn't say what sites are giving you this message?

_________________
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
LÖVE2d, a collection of 27 lua gameshttp://www.murga-linux.com/puppy/viewtopic.php?t=76739
Back to top
View user's profile Send private message 
langstracht

Joined: 15 Aug 2012
Posts: 16

PostPosted: Thu 16 Aug 2012, 10:27    Post subject:  

Hi there! Thanks for taking the time to help.

I wasn't being cute with not revealing the troublesome sites. Rather I was hoping for a generic "solution" to a missing plug-in problem.

That said I've downloaded the package and, much like the dog who finally caught the car it was chasing, I'm not sure I know what to do with it.

My preference would be to use the package manager but it can't find it - as in "find" turns up no results. That said "flash" (in contrast to "getflash) turns up three versions of flash - which, being at the top of the window, I assume means they are available as opposed to installed.

Can I prevail upon you to help me some more?

Please. And thanks.
Back to top
View user's profile Send private message 
Shep

Joined: 08 Nov 2008
Posts: 841
Location: GIRT-BY-SEA

PostPosted: Thu 16 Aug 2012, 11:25    Post subject:  

The sooner the computing world can rid itself of this Adobe abomination (flash) the better off we all will be. Twisted Evil

To see whether you have the flash player installed, open a terminal and at the command line type:

find / -name 'libflashplayer.so*'

If you are using firefox and have the flashplayer already installed, you'll see this line (among others):
/usr/lib/firefox/plugins/libflashplayer.so

When you download and install a .pet it is supposed to place this file in this location. So if you think you have just installed the flash player, that command line instruction will confirm it. If you are using seamonkey, I think the file is the same one, but the installed pathname will differ a bit.

Good luck!
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1492
Location: wales

PostPosted: Thu 16 Aug 2012, 11:52    Post subject:  

to add to what shep says...... getflash is a flash installer / updater

left click on a the .pet to install it.
once installed 'get flash' will then appear in the menu in the internet category. run getflash from the menu to install the flash plugin

if this doesn't work, a link the a particular site you're having trouble with would help

_________________
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
LÖVE2d, a collection of 27 lua gameshttp://www.murga-linux.com/puppy/viewtopic.php?t=76739
Back to top
View user's profile Send private message 
langstracht

Joined: 15 Aug 2012
Posts: 16

PostPosted: Thu 16 Aug 2012, 11:58    Post subject:  

Thanks for the respomse.

"Find" came up empty so, as I thought, it is not installed.

And that was the question, preferably using the package manager, "how do I install it?"

Oh and I have been using the Chrome package that came with puppeee - can't seem to find a version number but it's based on Puppy 4.3.1.

As for the flash abomination - Roger that.

My "main" machine runs on ubuntu - and this morning's update containing ONLY flash crashed. The first time EVER that an update has crashed ....
Back to top
View user's profile Send private message 
langstracht

Joined: 15 Aug 2012
Posts: 16

PostPosted: Thu 16 Aug 2012, 12:00    Post subject:  

Left clicking on the icon does nothing, Right clicking brings up a pop up menu containing, among other things Open With and Set run action and Link. But no "install".
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1492
Location: wales

PostPosted: Thu 16 Aug 2012, 12:15    Post subject:  

hmmm it should install by left clicking...... (maybe puppeee is double click?)

if it still doesn't work you can install manually.
download this http://dl.dropbox.com/u/19554672/libflashplayer.so and place it in /usr/lib/mozilla/plugins


Note: you should be aware that the puplet called puppeee is outdated and isn't maintained anymore.

_________________
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
LÖVE2d, a collection of 27 lua gameshttp://www.murga-linux.com/puppy/viewtopic.php?t=76739
Back to top
View user's profile Send private message 
langstracht

Joined: 15 Aug 2012
Posts: 16

PostPosted: Thu 16 Aug 2012, 12:48    Post subject:  

Well, duh!

Double left clicking .. and it was installed in an instant. Presumably successfully.

I guess your reference to "the puplet called puppeee is outdated and isn't maintained anymore." means I should abandon puppeee (installed for all of 36 hours) and find me another distribution.

If so, your, or whomever's, recommendation as to the "best" distribution for an Asus 701 Eee would be much appreciated.
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 4612
Location: Charleston S.C. USA

PostPosted: Thu 16 Aug 2012, 15:21    Post subject:  

Was flash the problem?
Is it now fixed?

About Puppeee,
It was designed specifically for Eee pc's it just is not being updated anymore with new changes to Puppy.
If it works for you and does what you need. no problem using it.

If you want newer Puppy versions, try them and see how they work. They are just not specifically made for the Eee pc.
Lucid 528.005
Slacko 5.3.3
These would be good ones to start with.

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
langstracht

Joined: 15 Aug 2012
Posts: 16

PostPosted: Thu 16 Aug 2012, 15:34    Post subject:  

Hello. Thanks for responding.

Yes I think that installing flash got rid of the "plug in needed" problem.

That said, and maybe forum protocol says I should start a new thread, now I have another problem.

A number of video sites tell me that "The xine engine failed to start" .. because "No input plugin was found".

So, encore, help!!!

Thanks for the nugget on other distros. I'll certainly keep them in mind. But maybe I'll stick with puppeee for a while and see how it goes.
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 4612
Location: Charleston S.C. USA

PostPosted: Thu 16 Aug 2012, 15:58    Post subject:  

Quote:
A number of video sites tell me that "The xine engine failed to start" .. because "No input plugin was found".

Could you post link to a problem video site.

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
Semme

Joined: 07 Aug 2011
Posts: 3263
Location: World_Hub

PostPosted: Thu 16 Aug 2012, 16:09    Post subject:  

And if this cmd runs- the output: ldd /usr/bin/xine

Your browser of choice?
Back to top
View user's profile Send private message 
langstracht

Joined: 15 Aug 2012
Posts: 16

PostPosted: Thu 16 Aug 2012, 18:01    Post subject:  

In response to:

Could you post link to a problem video site.

Only with difficulty I'm afraid.

The gxine 0.5.9 "media player" has a bunch of built in menu items. Clicking on some of them results in the message. If there is a url associated with the link I don't know where it is.

Actually I had thought/assumed that the error message was about my machine rather than the site being accessed.

In response to

ldd /usr/bin/xine

the command returns:

No such file or directory.

I hope this is what you were asking.
Back to top
View user's profile Send private message 
Semme

Joined: 07 Aug 2011
Posts: 3263
Location: World_Hub

PostPosted: Thu 16 Aug 2012, 18:06    Post subject:  

From a shell then: which xine

And- your browser?

"A number of video sites.."

Are you sure you can't provide a site? Name one that throws the message..

Both video'n audio?
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 2 [25 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Beginners Help ( Start Here)
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0618s ][ Queries: 12 (0.0034s) ][ GZIP on ]